Skip to content

Release [changeset] - #507

Open
fingerprint-dx-team-actions-runner[bot] wants to merge 1 commit into
mainfrom
changeset-release/main
Open

fingerprint-dx-team-actions-runner[bot] wants to merge 1 commit into
mainfrom
changeset-release/main

Conversation

@fingerprint-dx-team-actions-runner

Copy link
Copy Markdown
Contributor

This PR was opened by the Changesets release GitHub action. When you're ready to do a release, you can merge this and publish to npm yourself or setup this action to publish automatically. If you're not ready to do a release yet, that's fine, whenever you add more changesets to main, this PR will be updated.

Releases

openapi@3.12.0

Minor Changes

  • Add POST /labels endpoint (submitFraudLabels) for submitting confirmed fraud outcomes on events (1b459b5)
  • events: Add category, version, and threshold fields to Labels smart signal items (1b459b5)

@github-actions

github-actions Bot commented Nov 16, 2026 •

Copy link
Copy Markdown
Contributor

Schema Diff vs Published Schemas

  • Generated at: 2026-11-20T09:49:39.649Z
  • Published source: https://fingerprintjs.github.io/openapi/schemas
  • Compared schemas: 9
  • Changed schemas: 4

fingerprint-server-api-v4-flat.yaml

Published URL: https://fingerprintjs.github.io/openapi/schemas/fingerprint-server-api-v4-flat.yaml
Summary: +5 added, -5 removed, ~4 modified

Added elements (5)
  • /components/schemas/LabelSubmissionError
  • /components/schemas/LabelSubmissionEventOutcome
  • /components/schemas/LabelSubmissionEventRequest
  • /components/schemas/LabelSubmissionEventResult
  • /components/schemas/LabelSubmissionLabel
Removed elements (5)
  • /components/schemas/LabelsEventError
  • /components/schemas/LabelsEventLabel
  • /components/schemas/LabelsRequest
  • /components/schemas/LabelsResponse
  • /components/schemas/LabelsStatus
Modified elements (4)
  • /paths/~1labels/post/operationId
  • /paths/~1labels/post/requestBody/content/application~1json/schema/$ref
  • /paths/~1labels/post/responses/200/content/application~1json/schema/$ref
  • /paths/~1labels/post/responses/422/content/application~1json/schema/$ref
Changed lines patch
--- a/schemas/fingerprint-server-api-v4-flat.yaml
+++ b/schemas/fingerprint-server-api-v4-flat.yaml
@@ -1167,11 +1167,11 @@
                 $ref: '#/components/schemas/ErrorResponse'
   /labels:
     post:
       tags:
         - Fingerprint
-      operationId: submitFraudLabels
+      operationId: submitEventFraudLabels
       summary: Submit Fraud Labels for an event
       description: >
         Submits labels for a single event, no more than 30 days old. The
         submission is processed synchronously — a `200`
 
@@ -1183,18 +1183,18 @@
       requestBody:
         required: true
         content:
           application/json:
             schema:
-              $ref: '#/components/schemas/LabelsRequest'
+              $ref: '#/components/schemas/LabelSubmissionEventRequest'
       responses:
         '200':
           description: OK. The labels were stored, or the event already had them.
           content:
             application/json:
               schema:
-                $ref: '#/components/schemas/LabelsResponse'
+                $ref: '#/components/schemas/LabelSubmissionEventResult'
         '400':
           description: >
             Bad request. The request payload is not valid: a required field is
             missing or mistyped.
           content:
@@ -1224,11 +1224,11 @@
             ones). Nothing was stored: `status` is `rejected`, and `errors`
             describes why.
           content:
             application/json:
               schema:
-                $ref: '#/components/schemas/LabelsResponse'
+                $ref: '#/components/schemas/LabelSubmissionEventResult'
         '429':
           description: Too Many Requests. The request is throttled.
           content:
             application/json:
               schema:
@@ -3698,11 +3698,11 @@
             - 100
           description: >-
             This value represents the total number of events matching the search
             query, up to the limit provided in the `total_hits` query parameter.
             Only present if the `total_hits` query parameter was provided.
-    LabelsEventLabel:
+    LabelSubmissionLabel:
       type: object
       description: A single label to apply (or unset) on an event.
       required:
         - label
         - state
@@ -3719,11 +3719,11 @@
           description: >-
             The desired state of the label, `true` for the label is applied,
             `false` to unset it.
           examples:
             - true
-    LabelsRequest:
+    LabelSubmissionEventRequest:
       type: object
       description: Submits labels for a single event, processed synchronously.
       required:
         - event_id
         - labels
@@ -3736,12 +3736,12 @@
         labels:
           type: array
           description: The list of labels to submit. A label may appear only once.
           minItems: 1
           items:
-            $ref: '#/components/schemas/LabelsEventLabel'
-    LabelsStatus:
+            $ref: '#/components/schemas/LabelSubmissionLabel'
+    LabelSubmissionEventOutcome:
       type: string
       enum:
         - applied
         - unchanged
         - rejected
@@ -3756,15 +3756,15 @@
 
         * `rejected` - The labels could not be stored, and the event's labelled
         state is unchanged. See `errors`.
       examples:
         - applied
-    LabelsEventError:
+    LabelSubmissionError:
       type: object
       description: >-
-        A stable error code and message describing why a label submission was
-        rejected.
+        A stable error code and message describing why labels in a submission
+        could not be applied.
       required:
         - code
         - message
       properties:
         code:
@@ -3773,11 +3773,11 @@
             - invalid_event_id
         message:
           type: string
           examples:
             - event id is invalid
-    LabelsResponse:
+    LabelSubmissionEventResult:
       type: object
       description: The result of a synchronous label submission.
       required:
         - source_id
         - source_type
@@ -3798,18 +3798,18 @@
           type: string
           description: The event ID that was labelled.
           examples:
             - 1735401600000.AbCdEf
         status:
-          $ref: '#/components/schemas/LabelsStatus'
+          $ref: '#/components/schemas/LabelSubmissionEventOutcome'
         errors:
           type: array
           description: >-
             The reasons the labels were rejected. Omitted unless `status` is
             `rejected`.
           items:
-            $ref: '#/components/schemas/LabelsEventError'
+            $ref: '#/components/schemas/LabelSubmissionError'
     SearchEventsBot:
       type: string
       enum:
         - all
         - good

fingerprint-server-api-v4-normalized.yaml

Published URL: https://fingerprintjs.github.io/openapi/schemas/fingerprint-server-api-v4-normalized.yaml
Summary: +5 added, -5 removed, ~4 modified

Added elements (5)
  • /components/schemas/LabelSubmissionError
  • /components/schemas/LabelSubmissionEventOutcome
  • /components/schemas/LabelSubmissionEventRequest
  • /components/schemas/LabelSubmissionEventResult
  • /components/schemas/LabelSubmissionLabel
Removed elements (5)
  • /components/schemas/LabelsEventError
  • /components/schemas/LabelsEventLabel
  • /components/schemas/LabelsRequest
  • /components/schemas/LabelsResponse
  • /components/schemas/LabelsStatus
Modified elements (4)
  • /paths/~1labels/post/operationId
  • /paths/~1labels/post/requestBody/content/application~1json/schema/$ref
  • /paths/~1labels/post/responses/200/content/application~1json/schema/$ref
  • /paths/~1labels/post/responses/422/content/application~1json/schema/$ref
Changed lines patch
--- a/schemas/fingerprint-server-api-v4-normalized.yaml
+++ b/schemas/fingerprint-server-api-v4-normalized.yaml
@@ -1181,11 +1181,11 @@
                 $ref: '#/components/schemas/ErrorResponse'
   /labels:
     post:
       tags:
         - Fingerprint
-      operationId: submitFraudLabels
+      operationId: submitEventFraudLabels
       summary: Submit Fraud Labels for an event
       description: >
         Submits labels for a single event, no more than 30 days old. The
         submission is processed synchronously — a `200`
 
@@ -1197,18 +1197,18 @@
       requestBody:
         required: true
         content:
           application/json:
             schema:
-              $ref: '#/components/schemas/LabelsRequest'
+              $ref: '#/components/schemas/LabelSubmissionEventRequest'
       responses:
         '200':
           description: OK. The labels were stored, or the event already had them.
           content:
             application/json:
               schema:
-                $ref: '#/components/schemas/LabelsResponse'
+                $ref: '#/components/schemas/LabelSubmissionEventResult'
         '400':
           description: >
             Bad request. The request payload is not valid: a required field is
             missing or mistyped.
           content:
@@ -1238,11 +1238,11 @@
             ones). Nothing was stored: `status` is `rejected`, and `errors`
             describes why.
           content:
             application/json:
               schema:
-                $ref: '#/components/schemas/LabelsResponse'
+                $ref: '#/components/schemas/LabelSubmissionEventResult'
         '429':
           description: Too Many Requests. The request is throttled.
           content:
             application/json:
               schema:
@@ -3712,11 +3712,11 @@
             - 100
           description: >-
             This value represents the total number of events matching the search
             query, up to the limit provided in the `total_hits` query parameter.
             Only present if the `total_hits` query parameter was provided.
-    LabelsEventLabel:
+    LabelSubmissionLabel:
       type: object
       description: A single label to apply (or unset) on an event.
       required:
         - label
         - state
@@ -3733,11 +3733,11 @@
           description: >-
             The desired state of the label, `true` for the label is applied,
             `false` to unset it.
           examples:
             - true
-    LabelsRequest:
+    LabelSubmissionEventRequest:
       type: object
       description: Submits labels for a single event, processed synchronously.
       required:
         - event_id
         - labels
@@ -3750,12 +3750,12 @@
         labels:
           type: array
           description: The list of labels to submit. A label may appear only once.
           minItems: 1
           items:
-            $ref: '#/components/schemas/LabelsEventLabel'
-    LabelsStatus:
+            $ref: '#/components/schemas/LabelSubmissionLabel'
+    LabelSubmissionEventOutcome:
       type: string
       enum:
         - applied
         - unchanged
         - rejected
@@ -3770,15 +3770,15 @@
 
         * `rejected` - The labels could not be stored, and the event's labelled
         state is unchanged. See `errors`.
       examples:
         - applied
-    LabelsEventError:
+    LabelSubmissionError:
       type: object
       description: >-
-        A stable error code and message describing why a label submission was
-        rejected.
+        A stable error code and message describing why labels in a submission
+        could not be applied.
       required:
         - code
         - message
       properties:
         code:
@@ -3787,11 +3787,11 @@
             - invalid_event_id
         message:
           type: string
           examples:
             - event id is invalid
-    LabelsResponse:
+    LabelSubmissionEventResult:
       type: object
       description: The result of a synchronous label submission.
       required:
         - source_id
         - source_type
@@ -3812,18 +3812,18 @@
           type: string
           description: The event ID that was labelled.
           examples:
             - 1735401600000.AbCdEf
         status:
-          $ref: '#/components/schemas/LabelsStatus'
+          $ref: '#/components/schemas/LabelSubmissionEventOutcome'
         errors:
           type: array
           description: >-
             The reasons the labels were rejected. Omitted unless `status` is
             `rejected`.
           items:
-            $ref: '#/components/schemas/LabelsEventError'
+            $ref: '#/components/schemas/LabelSubmissionError'
     SearchEventsBot:
       type: string
       enum:
         - all
         - good

fingerprint-server-api-v4-with-examples.yaml

Published URL: https://fingerprintjs.github.io/openapi/schemas/fingerprint-server-api-v4-with-examples.yaml
Summary: +5 added, -5 removed, ~4 modified

Added elements (5)
  • /components/schemas/LabelSubmissionError
  • /components/schemas/LabelSubmissionEventOutcome
  • /components/schemas/LabelSubmissionEventRequest
  • /components/schemas/LabelSubmissionEventResult
  • /components/schemas/LabelSubmissionLabel
Removed elements (5)
  • /components/schemas/LabelsEventError
  • /components/schemas/LabelsEventLabel
  • /components/schemas/LabelsRequest
  • /components/schemas/LabelsResponse
  • /components/schemas/LabelsStatus
Modified elements (4)
  • /paths/~1labels/post/operationId
  • /paths/~1labels/post/requestBody/content/application~1json/schema/$ref
  • /paths/~1labels/post/responses/200/content/application~1json/schema/$ref
  • /paths/~1labels/post/responses/422/content/application~1json/schema/$ref
Changed lines patch
--- a/schemas/fingerprint-server-api-v4-with-examples.yaml
+++ b/schemas/fingerprint-server-api-v4-with-examples.yaml
@@ -3119,11 +3119,11 @@
                       message: too many requests
   /labels:
     post:
       tags:
         - Labels
-      operationId: submitFraudLabels
+      operationId: submitEventFraudLabels
       summary: Submit Fraud Labels for an event
       description: >
         Submits labels for a single event, no more than 30 days old. The
         submission is processed synchronously — a `200`
 
@@ -3135,11 +3135,11 @@
       requestBody:
         required: true
         content:
           application/json:
             schema:
-              $ref: '#/components/schemas/LabelsRequest'
+              $ref: '#/components/schemas/LabelSubmissionEventRequest'
             examples:
               valid:
                 summary: Example request
                 value:
                   event_id: 1735401600000.AbCdEf
@@ -3152,11 +3152,11 @@
         '200':
           description: OK. The labels were stored, or the event already had them.
           content:
             application/json:
               schema:
-                $ref: '#/components/schemas/LabelsResponse'
+                $ref: '#/components/schemas/LabelSubmissionEventResult'
               examples:
                 200-applied:
                   summary: Example response
                   value:
                     source_id: 1786370416667.4gsLK5
@@ -3233,11 +3233,11 @@
             ones). Nothing was stored: `status` is `rejected`, and `errors`
             describes why.
           content:
             application/json:
               schema:
-                $ref: '#/components/schemas/LabelsResponse'
+                $ref: '#/components/schemas/LabelSubmissionEventResult'
               examples:
                 422-rejected:
                   summary: Response when the labels were rejected.
                   value:
                     source_id: 1786370416667.4gsLK5
@@ -6028,11 +6028,11 @@
             - 100
           description: >-
             This value represents the total number of events matching the search
             query, up to the limit provided in the `total_hits` query parameter.
             Only present if the `total_hits` query parameter was provided.
-    LabelsEventLabel:
+    LabelSubmissionLabel:
       type: object
       description: A single label to apply (or unset) on an event.
       additionalProperties: false
       required:
         - label
@@ -6050,11 +6050,11 @@
           description: >-
             The desired state of the label, `true` for the label is applied,
             `false` to unset it.
           examples:
             - true
-    LabelsRequest:
+    LabelSubmissionEventRequest:
       type: object
       description: Submits labels for a single event, processed synchronously.
       additionalProperties: false
       required:
         - event_id
@@ -6068,12 +6068,12 @@
         labels:
           type: array
           description: The list of labels to submit. A label may appear only once.
           minItems: 1
           items:
-            $ref: '#/components/schemas/LabelsEventLabel'
-    LabelsStatus:
+            $ref: '#/components/schemas/LabelSubmissionLabel'
+    LabelSubmissionEventOutcome:
       type: string
       enum:
         - applied
         - unchanged
         - rejected
@@ -6088,15 +6088,15 @@
 
         * `rejected` - The labels could not be stored, and the event's labelled
         state is unchanged. See `errors`.
       examples:
         - applied
-    LabelsEventError:
+    LabelSubmissionError:
       type: object
       description: >-
-        A stable error code and message describing why a label submission was
-        rejected.
+        A stable error code and message describing why labels in a submission
+        could not be applied.
       additionalProperties: false
       required:
         - code
         - message
       properties:
@@ -6106,11 +6106,11 @@
             - invalid_event_id
         message:
           type: string
           examples:
             - event id is invalid
-    LabelsResponse:
+    LabelSubmissionEventResult:
       type: object
       description: The result of a synchronous label submission.
       additionalProperties: false
       required:
         - source_id
@@ -6132,13 +6132,13 @@
           type: string
           description: The event ID that was labelled.
           examples:
             - 1735401600000.AbCdEf
         status:
-          $ref: '#/components/schemas/LabelsStatus'
+          $ref: '#/components/schemas/LabelSubmissionEventOutcome'
         errors:
           type: array
           description: >-
             The reasons the labels were rejected. Omitted unless `status` is
             `rejected`.
           items:
-            $ref: '#/components/schemas/LabelsEventError'
+            $ref: '#/components/schemas/LabelSubmissionError'

fingerprint-server-api-v4.yaml

Published URL: https://fingerprintjs.github.io/openapi/schemas/fingerprint-server-api-v4.yaml
Summary: +5 added, -5 removed, ~4 modified

Added elements (5)
  • /components/schemas/LabelSubmissionError
  • /components/schemas/LabelSubmissionEventOutcome
  • /components/schemas/LabelSubmissionEventRequest
  • /components/schemas/LabelSubmissionEventResult
  • /components/schemas/LabelSubmissionLabel
Removed elements (5)
  • /components/schemas/LabelsEventError
  • /components/schemas/LabelsEventLabel
  • /components/schemas/LabelsRequest
  • /components/schemas/LabelsResponse
  • /components/schemas/LabelsStatus
Modified elements (4)
  • /paths/~1labels/post/operationId
  • /paths/~1labels/post/requestBody/content/application~1json/schema/$ref
  • /paths/~1labels/post/responses/200/content/application~1json/schema/$ref
  • /paths/~1labels/post/responses/422/content/application~1json/schema/$ref
Changed lines patch
--- a/schemas/fingerprint-server-api-v4.yaml
+++ b/schemas/fingerprint-server-api-v4.yaml
@@ -1167,11 +1167,11 @@
                 $ref: '#/components/schemas/ErrorResponse'
   /labels:
     post:
       tags:
         - Fingerprint
-      operationId: submitFraudLabels
+      operationId: submitEventFraudLabels
       summary: Submit Fraud Labels for an event
       description: >
         Submits labels for a single event, no more than 30 days old. The
         submission is processed synchronously — a `200`
 
@@ -1183,18 +1183,18 @@
       requestBody:
         required: true
         content:
           application/json:
             schema:
-              $ref: '#/components/schemas/LabelsRequest'
+              $ref: '#/components/schemas/LabelSubmissionEventRequest'
       responses:
         '200':
           description: OK. The labels were stored, or the event already had them.
           content:
             application/json:
               schema:
-                $ref: '#/components/schemas/LabelsResponse'
+                $ref: '#/components/schemas/LabelSubmissionEventResult'
         '400':
           description: >
             Bad request. The request payload is not valid: a required field is
             missing or mistyped.
           content:
@@ -1224,11 +1224,11 @@
             ones). Nothing was stored: `status` is `rejected`, and `errors`
             describes why.
           content:
             application/json:
               schema:
-                $ref: '#/components/schemas/LabelsResponse'
+                $ref: '#/components/schemas/LabelSubmissionEventResult'
         '429':
           description: Too Many Requests. The request is throttled.
           content:
             application/json:
               schema:
@@ -3774,11 +3774,11 @@
             - 100
           description: >-
             This value represents the total number of events matching the search
             query, up to the limit provided in the `total_hits` query parameter.
             Only present if the `total_hits` query parameter was provided.
-    LabelsEventLabel:
+    LabelSubmissionLabel:
       type: object
       description: A single label to apply (or unset) on an event.
       required:
         - label
         - state
@@ -3795,11 +3795,11 @@
           description: >-
             The desired state of the label, `true` for the label is applied,
             `false` to unset it.
           examples:
             - true
-    LabelsRequest:
+    LabelSubmissionEventRequest:
       type: object
       description: Submits labels for a single event, processed synchronously.
       required:
         - event_id
         - labels
@@ -3812,12 +3812,12 @@
         labels:
           type: array
           description: The list of labels to submit. A label may appear only once.
           minItems: 1
           items:
-            $ref: '#/components/schemas/LabelsEventLabel'
-    LabelsStatus:
+            $ref: '#/components/schemas/LabelSubmissionLabel'
+    LabelSubmissionEventOutcome:
       type: string
       enum:
         - applied
         - unchanged
         - rejected
@@ -3832,15 +3832,15 @@
 
         * `rejected` - The labels could not be stored, and the event's labelled
         state is unchanged. See `errors`.
       examples:
         - applied
-    LabelsEventError:
+    LabelSubmissionError:
       type: object
       description: >-
-        A stable error code and message describing why a label submission was
-        rejected.
+        A stable error code and message describing why labels in a submission
+        could not be applied.
       required:
         - code
         - message
       properties:
         code:
@@ -3849,11 +3849,11 @@
             - invalid_event_id
         message:
           type: string
           examples:
             - event id is invalid
-    LabelsResponse:
+    LabelSubmissionEventResult:
       type: object
       description: The result of a synchronous label submission.
       required:
         - source_id
         - source_type
@@ -3874,18 +3874,18 @@
           type: string
           description: The event ID that was labelled.
           examples:
             - 1735401600000.AbCdEf
         status:
-          $ref: '#/components/schemas/LabelsStatus'
+          $ref: '#/components/schemas/LabelSubmissionEventOutcome'
         errors:
           type: array
           description: >-
             The reasons the labels were rejected. Omitted unless `status` is
             `rejected`.
           items:
-            $ref: '#/components/schemas/LabelsEventError'
+            $ref: '#/components/schemas/LabelSubmissionError'
     SearchEventsBot:
       type: string
       enum:
         - all
         - good

mcnulty-fp added a commit that referenced this pull request Nov 19, 2026
#507 is still pending so we don't need to record the rename in the CHANGELOG
Orkuncakilkaya pushed a commit that referenced this pull request Nov 20, 2026
…s and operationId (#512)

* chore: sync OpenAPI schema

* chore: add changeset label-submission-renames.md [skip ci-ai-prep]

* chore: delete unneeded changeset

#507 is still pending so we don't need to record the rename in the CHANGELOG

---------

Co-authored-by: fingerprint-dx-team-actions-runner[bot] <197604345+fingerprint-dx-team-actions-runner[bot]@users.noreply.github.com>
Co-authored-by: Dan McNulty <212590662+mcnulty-fp@users.noreply.github.com>
@github-actions

Copy link
Copy Markdown
Contributor

⚠️ This PR doesn't contain any changesets. If there are user-facing changes, don't forget to run:

pnpm run changeset

to create a changeset.

This branch was successfully deployed

1 active deployment
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment

Labels

None yet

Projects

None yet

Development

Successfully merging this pull request may close these issues.

0 participants